/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/undocommand.hpp>

#include <nostalgia/gfx/palette.hpp>

namespace nostalgia::gfx {

class RemovePageCommand: public studio::UndoCommand {
	private:
		Palette &m_pal;
		size_t m_idx = 0;
		PalettePage m_page;

	public:
		RemovePageCommand(Palette &pal, size_t idx) noexcept;

		~RemovePageCommand() noexcept override = default;

		[[nodiscard]]
		int commandId() const noexcept final;

		ox::Error redo() noexcept final;

		ox::Error undo() noexcept final;

};

}
